# Get Pub/Sub channels for an application

> **GET** `https://api.us.nylas.com/v3/channels/pubsub`

Source: https://developer.nylas.com/docs/reference/api/pubsub-notifications/get-pubsub-channels/

Get the Pub/Sub channels for an application.


**Authentication:** NYLAS_API_KEY

## Responses

### 200 - List of destinations for an application.

- `data` (array)
  - `id` (string) - A unique identifier for the Pub/Sub notification channel.
  - `description` (string) - A human-readable description of the Pub/Sub notification channel.
  - `trigger_types` (array) - The event that triggers the notification. See the
[notification schemas](/docs/reference/notifications/) for details about each trigger
type.

See the [Grants](/docs/reference/api/manage-grants/), [Calendar](/docs/reference/api/calendar/),
[Events](/docs/reference/api/events/), and [Messages](/docs/reference/api/messages/) references
for information on how to trigger each event type.
  - `topic` (string) - The Google Pub/Sub topic that Nylas sends notifications to.
  - `status` (string) - The status of the new destination.
  - `notification_email_addresses` (array) - The email addresses that Nylas notifies if delivery to the Pub/Sub channel fails.
  - `compressed_delivery` (boolean) - If `true`, Nylas compresses notification payloads using gzip before delivering them.
- `request_id` (string) - The unique ID of the request that generated this response.

### 400 - List of destinations for an application.

- `error` (object)
  - `type` (string) - An alphanumeric code that represents the error type.
  - `message` (string) - A human readable message with details about the error.
- `request_id` (string) - The unique ID of the request that generated this response.

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.us.nylas.com/v3/channels/pubsub/' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <NYLAS_API_KEY>' \
```
